Skip to main content
`Ctrl`+`K`

# group_in_degree_centrality

group_in_degree_centrality(G, S)

  Compute the group in-degree centrality for a group of nodes.

  Group in-degree centrality of a group of nodes \(S\) is the fraction of non-group members connected to group members by incoming edges.

  Parameters:
    G graph

      A NetworkX graph.

    S list or set

      S is a group of nodes which belong to G, for which group in-degree centrality is to be calculated.

  Returns:
    centrality float

      Group in-degree centrality of the group S.

  Raises:
    NetworkXNotImplemented

      If G is undirected.

    NodeNotFound

      If node(s) in S are not in G.

  See also

  `degree_centrality`
  `group_degree_centrality`
  `group_out_degree_centrality`

  Notes

  The number of nodes in the group must be a maximum of n - 1 where `n` is the total number of nodes in the graph.

  `G.neighbors(i)` gives nodes with an outward edge from i, in a DiGraph, so for group in-degree centrality, the reverse graph is used.